package com.zcxk.charge.web.service;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zcxk.charge.core.dao.ComdisplayMapMapper;
import com.zcxk.charge.core.entity.ComdisplayMapEntity;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.List;

/**
 *
 * 综合展示图片Service接口
 * @author: wyy
 * @date 2021-02-24 09:23
 */
@Service
public class ComdisplayMapService extends ServiceImpl<ComdisplayMapMapper, ComdisplayMapEntity> {

	@Resource
	private ComdisplayMapMapper comdisplayMapMapper;

	/**
	 * 查列表
	 */
	public List<ComdisplayMapEntity> findList(ComdisplayMapEntity comdisplayMapEntity) {
		return comdisplayMapMapper.findList(comdisplayMapEntity);
	}

	/**
	 * 批量删除
	 */
	@Transactional(rollbackFor = Exception.class)
	public boolean delComdisplayMapByIds(Long[] ids) {
		return this.removeByIds(Arrays.asList(ids));
	}

	/**
	 * 单个删除
	 */
	public boolean delComdisplayMapById(Long id) {
		return this.removeById(id);
	}

	/**
	 * 保存
	 */
	public boolean addComdisplayMap(ComdisplayMapEntity comdisplayMap) {

		if (this.save(comdisplayMap)) {
			return true;
		}
		return false;
	}

	/**
	 * 修改根居ID
	 */
	public boolean updateComdisplayMapById(ComdisplayMapEntity comdisplayMap) {

		if (this.updateById(comdisplayMap)) {
			return true;
		}
		return false;
	}

	/**
	 * 根居ID获取对象
	 */
	public ComdisplayMapEntity findComdisplayMapById(Long id) {
		return comdisplayMapMapper.findComdisplayMapById(id);
	}
}
